Windows Live Essentials.

avgwarhawk

Power User
I received notification that I have a update. It is Windows Live Essentials 2011. I run Vista 64 with service pack 2. I have windows live and apparently a older build that does not allow me to install the new program. The message state I have a older flavor build and the new build will not install over this older build. Suggestions? Remove my current build?
 

avgwarhawk

Power User
Thanks! Last question. I can see other programs associated with Live Mail such as movies/pictures and I think Messenger that I never did download. Should I remove these as well? It looks like the new program contains all of these associated programs.
 

Flavius

Expelled
Thanks! Last question. I can see other programs associated with Live Mail such as movies/pictures and I think Messenger that I never did download. Should I remove these as well? It looks like the new program contains all of these associated programs.
Movies/Pictures there are only data and it shouldn't cause issue with installation but I think will be better if you remove them as well.
 
Top